Subject: Re: [vnrg] comments on draft-shin-virtualization-meta-arch-01

From: "Sangjin Jeong" <[email-masked]>
Date: Tue, 4 May 2010 16:43:04 +0900

Hello Washam,
 
Thanks for your comments.
See inline, please.
 
Regards,
Sangjin

> -----Original Message----- 
> From: "WashamFan" <[email-masked]> 
> From Date: 2010-04-30 PM 4:43:38 
> To: "[email-masked]" <[email-masked]> 
> Cc: 
> Subject: [vnrg] comments on draft-shin-virtualization-meta-arch-01 
> 
> 
> 

> Hi, 
> 
> I review this doc and have some comments as below: 
> 
> 1. In section 1, I think the order of benefits of server virtualization 
> should be intuitively corresponded to the order of benefits of  
> virtualization described earlier. So, I'd like switch the second bullet 
> and the third for benefits of server virtualization 

Ok. I will change the order.

> 
> for the third bullet for benifits of virtualization, I don't know how 
> the term 'Encapsulation' related to described easier deployment 
> and provision benefits. In your ppt presented in IETF77, you use 
> 'abstraction' instead. 

As described in the third bullet, by abstracting the underlying 
hardware characteristics and by providing virtual hardwares that 
have standard interfaces, users may be able to easily utilize the 
virtual hardwares. Those virtual hardwares may be provided by 
encapsulating the physical hardware. But, abstraction may be 
better term for this perspective.  
Also, there are small inconsistency in the terminology used 
throughout the document, so I will fix it in the next version.

> 
> 2. In section 3, I don't know all the requirements are applied 
> to isolation VNs or aggregation VNs or both? It might hard to 
> distinguish these 2 types. E.g., we deployed 3 VNs on top of 
> the existing infrastructure in my department, when we consolidate 
> computing resources from another department with my department, 
> the 3 VNs could be expanded as well. The isolation and aggregation 
> VNs co-exist. 

The requirements described in Section 3 are general requirements for 
network virtualization, not specific to isolation VNs or aggregation VNs.
Thus, some or all requirements may be applicable depending on 
the use cases, IMHO. 

> 
> 3. In section 4, you gave us an example where different service providers 
> use different VNs, what if users want to use services provided by 
> different providers, should they join different VNs (explicitly or implicitly)? 

I think that this is a federation issue. If a service provider allows use of 
its resources to the users of other service providers, the users will be 
able to join VNs owned by the service provider. Explicit or implicit join will 
be dependent on the federation methods among service providers.

> 
> Thanks, 
> washam 
> _______________________________________________ 
> vnrg mailing list 
> [email-masked] 
> https://www.irtf.org/mailman/listinfo/vnrg